<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: managedBean (shall extend TestDataManager) -->
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="saveTestData"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.patientmanager.NewFavorite']}</ui:define>
        <h:outputText
                value="#{messages['net.ihe.gazelle.patientmanager.TheCurrentCriteriaWillBeSavedAsTestDataYouWillBe']}"/>
        <s:div id="testMetadataContent" styleClass="form-horizontal">
            <s:div id="ifNotNull" rendered="#{managedBean.favoriteQueryToSave != null}">
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="nameInput"/>
                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                    <h:inputText id="nameInput" value="#{managedBean.favoriteQueryToSave.name}"
                                 required="true" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="descInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                    <h:inputTextarea id="descInput" value="#{managedBean.favoriteQueryToSave.description}"
                                     styleClass="form-control" rows="3"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_checkbox_horizontal_inline.xhtml">
                    <h:selectBooleanCheckbox value="#{managedBean.favoriteQueryToSave.shared}"/>
                    #{messages['net.ihe.gazelle.patientmanager.Shared_2']}
                </s:decorate>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton actionListener="#{managedBean.save()}"
                               value="#{messages['gazelle.HL7Common.Save']}" styleClass="gzl-btn-green"
                               oncomplete="jq162('#saveTestData').modal('hide')"/>
            <a4j:commandButton actionListener="#{managedBean.cancel()}"
                               value="#{messages['gazelle.HL7Common.Back']}" styleClass="gzl-btn-red"
                               oncomplete="jq162('#saveTestData').modal('hide')"
                               immediate="true"/>
        </ui:define>
    </ui:decorate>
</ui:composition>